-- reset any mods from previous games

local t = Def.ActorFrame {

	Def.ActorFrame {

		OnCommand=function(self)
		
			local p1opts = GAMESTATE:GetPlayerState("PlayerNumber_P1"):GetPlayerOptions("ModsLevel_Preferred");
			local p2opts = GAMESTATE:GetPlayerState("PlayerNumber_P1"):GetPlayerOptions("ModsLevel_Preferred");
		
			GAMESTATE:GetPlayerState("PlayerNumber_P1"):SetPlayerOptions("ModsLevel_Preferred",string.gsub(p1opts, "2x", ""));
			p1opts = GAMESTATE:GetPlayerState("PlayerNumber_P1"):GetPlayerOptions("ModsLevel_Preferred");
			GAMESTATE:GetPlayerState("PlayerNumber_P1"):SetPlayerOptions("ModsLevel_Preferred",string.gsub(p1opts, "1.5x", ""));
			p1opts = GAMESTATE:GetPlayerState("PlayerNumber_P1"):GetPlayerOptions("ModsLevel_Preferred");
			GAMESTATE:GetPlayerState("PlayerNumber_P1"):SetPlayerOptions("ModsLevel_Preferred",string.gsub(p1opts, "Left", ""));
			p1opts = GAMESTATE:GetPlayerState("PlayerNumber_P1"):GetPlayerOptions("ModsLevel_Preferred");
			GAMESTATE:GetPlayerState("PlayerNumber_P1"):SetPlayerOptions("ModsLevel_Preferred",string.gsub(p1opts, "Right", ""));
			p1opts = GAMESTATE:GetPlayerState("PlayerNumber_P1"):GetPlayerOptions("ModsLevel_Preferred");
			GAMESTATE:GetPlayerState("PlayerNumber_P1"):SetPlayerOptions("ModsLevel_Preferred",string.gsub(p1opts, "Mirror", ""));
			p1opts = GAMESTATE:GetPlayerState("PlayerNumber_P1"):GetPlayerOptions("ModsLevel_Preferred");
			GAMESTATE:GetPlayerState("PlayerNumber_P1"):SetPlayerOptions("ModsLevel_Preferred",string.gsub(p1opts, "Shuffle", ""));
			p1opts = GAMESTATE:GetPlayerState("PlayerNumber_P1"):GetPlayerOptions("ModsLevel_Preferred");
			GAMESTATE:GetPlayerState("PlayerNumber_P1"):SetPlayerOptions("ModsLevel_Preferred",string.gsub(p1opts, "Blink", ""));
			p1opts = GAMESTATE:GetPlayerState("PlayerNumber_P1"):GetPlayerOptions("ModsLevel_Preferred");
			GAMESTATE:GetPlayerState("PlayerNumber_P1"):SetPlayerOptions("ModsLevel_Preferred",string.gsub(p1opts, "Hidden", ""));
			p1opts = GAMESTATE:GetPlayerState("PlayerNumber_P1"):GetPlayerOptions("ModsLevel_Preferred");
			GAMESTATE:GetPlayerState("PlayerNumber_P1"):SetPlayerOptions("ModsLevel_Preferred",string.gsub(p1opts, "Sudden", ""));
			p1opts = GAMESTATE:GetPlayerState("PlayerNumber_P1"):GetPlayerOptions("ModsLevel_Preferred");
			GAMESTATE:GetPlayerState("PlayerNumber_P1"):SetPlayerOptions("ModsLevel_Preferred",string.gsub(p1opts, "Stealth", ""));

			GAMESTATE:GetPlayerState("PlayerNumber_P2"):SetPlayerOptions("ModsLevel_Preferred",string.gsub(p2opts, "2x", ""));
			p2opts = GAMESTATE:GetPlayerState("PlayerNumber_P1"):GetPlayerOptions("ModsLevel_Preferred");
			GAMESTATE:GetPlayerState("PlayerNumber_P2"):SetPlayerOptions("ModsLevel_Preferred",string.gsub(p2opts, "1.5x", ""));
			p2opts = GAMESTATE:GetPlayerState("PlayerNumber_P1"):GetPlayerOptions("ModsLevel_Preferred");
			GAMESTATE:GetPlayerState("PlayerNumber_P2"):SetPlayerOptions("ModsLevel_Preferred",string.gsub(p2opts, "Left", ""));
			p2opts = GAMESTATE:GetPlayerState("PlayerNumber_P1"):GetPlayerOptions("ModsLevel_Preferred");
			GAMESTATE:GetPlayerState("PlayerNumber_P2"):SetPlayerOptions("ModsLevel_Preferred",string.gsub(p2opts, "Right", ""));
			p2opts = GAMESTATE:GetPlayerState("PlayerNumber_P1"):GetPlayerOptions("ModsLevel_Preferred");
			GAMESTATE:GetPlayerState("PlayerNumber_P2"):SetPlayerOptions("ModsLevel_Preferred",string.gsub(p2opts, "Mirror", ""));
			p2opts = GAMESTATE:GetPlayerState("PlayerNumber_P1"):GetPlayerOptions("ModsLevel_Preferred");
			GAMESTATE:GetPlayerState("PlayerNumber_P2"):SetPlayerOptions("ModsLevel_Preferred",string.gsub(p2opts, "Shuffle", ""));
			p2opts = GAMESTATE:GetPlayerState("PlayerNumber_P1"):GetPlayerOptions("ModsLevel_Preferred");
			GAMESTATE:GetPlayerState("PlayerNumber_P2"):SetPlayerOptions("ModsLevel_Preferred",string.gsub(p2opts, "Blink", ""));
			p2opts = GAMESTATE:GetPlayerState("PlayerNumber_P1"):GetPlayerOptions("ModsLevel_Preferred");
			GAMESTATE:GetPlayerState("PlayerNumber_P2"):SetPlayerOptions("ModsLevel_Preferred",string.gsub(p2opts, "Hidden", ""));
			p2opts = GAMESTATE:GetPlayerState("PlayerNumber_P1"):GetPlayerOptions("ModsLevel_Preferred");
			GAMESTATE:GetPlayerState("PlayerNumber_P2"):SetPlayerOptions("ModsLevel_Preferred",string.gsub(p2opts, "Sudden", ""));
			p2opts = GAMESTATE:GetPlayerState("PlayerNumber_P1"):GetPlayerOptions("ModsLevel_Preferred");
			GAMESTATE:GetPlayerState("PlayerNumber_P2"):SetPlayerOptions("ModsLevel_Preferred",string.gsub(p2opts, "Stealth", ""));

		end;


	};


};

return t;